#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hackage-security
version: 0.5.3.0
id: hackage-security-0.5.3.0-8X09GpazkDdan1WZl1JNo
key: hackage-security-0.5.3.0-8X09GpazkDdan1WZl1JNo
license: BSD-3-Clause
copyright: Copyright 2015-2016 Well-Typed LLP
maintainer: cabal-devel@haskell.org
author: Edsko de Vries
homepage: https://github.com/haskell/hackage-security
synopsis: Hackage security library
description:
    The hackage security library provides both server and
    client utilities for securing the Hackage package server
    (<http://hackage.haskell.org/>).  It is based on The Update
    Framework (<http://theupdateframework.com/>), a set of
    recommendations developed by security researchers at
    various universities in the US as well as developers on the
    Tor project (<https://www.torproject.org/>).
    .
    The current implementation supports only index signing,
    thereby enabling untrusted mirrors. It does not yet provide
    facilities for author package signing.
    .
    The library has two main entry points:
    "Hackage.Security.Client" is the main entry point for
    clients (the typical example being @cabal@), and
    "Hackage.Security.Server" is the main entry point for
    servers (the typical example being @hackage-server@).
category: Distribution
abi: 73e99cae2d1d0b2b2f5963d2246f7cb7
exposed: True
exposed-modules:
    Hackage.Security.Client Hackage.Security.Client.Formats
    Hackage.Security.Client.Repository
    Hackage.Security.Client.Repository.Cache
    Hackage.Security.Client.Repository.HttpLib
    Hackage.Security.Client.Repository.Local
    Hackage.Security.Client.Repository.Remote
    Hackage.Security.Client.Verify Hackage.Security.JSON
    Hackage.Security.Key.Env Hackage.Security.Server
    Hackage.Security.TUF.FileMap Hackage.Security.Trusted
    Hackage.Security.Util.Checked Hackage.Security.Util.IO
    Hackage.Security.Util.Lens Hackage.Security.Util.Path
    Hackage.Security.Util.Pretty Hackage.Security.Util.Some
    Text.JSON.Canonical
hidden-modules: Hackage.Security.Key Hackage.Security.Trusted.TCB
                Hackage.Security.TUF Hackage.Security.TUF.Common
                Hackage.Security.TUF.FileInfo Hackage.Security.TUF.Header
                Hackage.Security.TUF.Layout.Cache Hackage.Security.TUF.Layout.Index
                Hackage.Security.TUF.Layout.Repo Hackage.Security.TUF.Mirrors
                Hackage.Security.TUF.Paths Hackage.Security.TUF.Patterns
                Hackage.Security.TUF.Root Hackage.Security.TUF.Signed
                Hackage.Security.TUF.Snapshot Hackage.Security.TUF.Targets
                Hackage.Security.TUF.Timestamp Hackage.Security.Util.Base64
                Hackage.Security.Util.Exit Hackage.Security.Util.FileLock
                Hackage.Security.Util.JSON Hackage.Security.Util.Stack
                Hackage.Security.Util.TypedEmbedded Prelude
import-dirs: /usr/lib/ghc-8.4.3/site-local/hackage-security-0.5.3.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/hackage-security-0.5.3.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/hackage-security-0.5.3.0
hs-libraries: HShackage-security-0.5.3.0-8X09GpazkDdan1WZl1JNo
depends:
    base-4.11.1.0 base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bytestring-0.10.8.2 Cabal-2.2.0.1 containers-0.5.11.0
    ed25519-0.0.5.0-J1zl42RyRuN3VNmQie6YiT filepath-1.4.2 mtl-2.2.2
    parsec-3.1.13.0 pretty-1.1.3.6
    cryptohash-sha256-0.11.101.0-CJeFvVNcGiT5bH5InaPROn
    tar-0.5.1.0-2NE6oowiyVxJcDjgLMgVCm time-1.8.0.2
    transformers-0.5.5.0 zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    template-haskell-2.13.0.0 ghc-prim-0.5.2.0 directory-1.3.1.5
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    network-2.7.0.2-1OJnZsn219R1IXngT025LR
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh=bba358ad6d6aaa259e18cb7e07ede79c
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=65adc4f5f54a1c07291b4ebc49756c05
             bytestring-0.10.8.2=9faa89cf4769cbd12751f8644ca9e618
             Cabal-2.2.0.1=e1424ba639ad8048b22840c690086176
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
             ed25519-0.0.5.0-J1zl42RyRuN3VNmQie6YiT=1ba7abd7d31ea23498f23247335be7e2
             filepath-1.4.2=2408ba322304c0a06810db2d7363214a
             mtl-2.2.2=0b3b35c3b96c7607606ed10087c4aa4a
             parsec-3.1.13.0=3626e7cedd22de76a8b10339d955721a
             pretty-1.1.3.6=3c31686bd534e1773b954ae82713db97
             cryptohash-sha256-0.11.101.0-CJeFvVNcGiT5bH5InaPROn=d956b66397285d4f5b333cc7ffc3b107
             tar-0.5.1.0-2NE6oowiyVxJcDjgLMgVCm=88438dda91eb64a21d8d67f5ddd563b2
             time-1.8.0.2=042930fb6746cbaf3bc794f817f8a6b2
             transformers-0.5.5.0=4f41484af13f560f1d83ed79e1be4572
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=8fa648805d93281f19b98bbf203b4b1c
             template-haskell-2.13.0.0=ac7dfd04924d4ebfa90a119ad22a36cc
             ghc-prim-0.5.2.0=387aa7e78e4e6c49e51798e4d6763c3f
             directory-1.3.1.5=f5fa3aef63d61d9b32ef25d211ef137f
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=4ea8f0efa7a1ade0af4e9ce0cffcff8c
             network-2.7.0.2-1OJnZsn219R1IXngT025LR=3133613495d02f305adaa7a6ab03f465
haddock-interfaces: /usr/share/doc/haskell-hackage-security/html/hackage-security.haddock
haddock-html: /usr/share/doc/haskell-hackage-security/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

